Skip to main content
POST
/
v2
/
lists
/
{listId}
/
fields
/
{fieldId}
/
dropdown-options
/
{dropdownOptionId}
curl --request POST \
  --url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options/{dropdownOptionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "Series A"
}
'
{
  "errors": [
    {
      "code": "bad-request",
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
integer<int64>
required

List ID

Required range: 1 <= x <= 9007199254740991
fieldId
string
required

Field ID

Example:

"field-1234"

dropdownOptionId
integer<int64>
required

Dropdown option ID

Required range: 1 <= x <= 9007199254740991

Body

application/json
  • dropdown type field may update text.
  • ranked-dropdown type field may update text, rank, and/or color.
text
string

Dropdown option text

Required string length: 1 - 255

Response

No Content